Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.credentialvault.credentials
Class WebSealTokenCredential

    java.lang.Object
      com.ibm.wps.portletservice.credentialvault.credentials.Credential
          com.ibm.wps.portletservice.credentialvault.credentials.ActiveCredential
              com.ibm.wps.portletservice.credentialvault.credentials.JaasSubjectCredential
                  com.ibm.wps.portletservice.credentialvault.credentials.WebSealTokenCredential

All Implemented Interfaces:
  ActiveCredential, Credential, JaasSubjectCredential, WebSealTokenCredential, java.io.Serializable

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public class WebSealTokenCredential

extends JaasSubjectCredential
implements WebSealTokenCredential

Credential for authenticating at a back-end system that is within the same WebSeal SSO-Domain as the portal, i.e. you are using an WebSeal authentication proxy for the portal authentiation. The credential needs to be provided in form of the portal's JAAS `Subject`, containing a private credential that holds the user's WebSeal token(s). To be used in following way:

1. Construct (initialize) the credential
2. Pass an HttpURLConnection to the credential in order to add the WebSeal token(s) to the request header ("getAuthenticatedConnection")
3. If necessary, set additional HTTP headers
4. Send the request

Preconditions:

- The configuration data passed to the constructor must define the values that are required by `JaasSubjectCredential`

Assumptions:

- If the Url uses SSL (https://) the JSSE has already been registered

Since:
  WP 5.1.0.1
See Also:
  Serialized Form

Field Summary
`protected WebSealCredential` | `webSealToken` Deprecated.

Fields inherited from class com.ibm.wps.portletservice.credentialvault.credentials.JaasSubjectCredential
`secret`

Fields inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`LOGGER_NAME`

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Constructor Summary
`WebSealTokenCredential()` Deprecated.

Method Summary
`java.net.HttpURLConnection` | `getAuthenticatedConnection(java.lang.String url)` Deprecated. Returns a new Http URL connection with added authentication data.
`java.net.HttpURLConnection` | `getAuthenticatedConnection(java.net.URL url)` Deprecated. Returns a new Http URL connection with added authentication data.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Deprecated. Initializes a new WebSealTokenCredential.

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.JaasSubjectCredential
`getSecretType`

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.ActiveCredential
`isActive`

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`checkInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.JaasSubjectCredential
`getSecretType`

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.ActiveCredential
`isActive`

Field Detail

### webSealToken

    protected WebSealCredential webSealToken

  Deprecated.

Constructor Detail

### WebSealTokenCredential

    public WebSealTokenCredential()

  Deprecated.

Method Detail

### init

    public void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Deprecated.
  Initializes a new WebSealTokenCredential.

  Specified by:
    `init` in interface `Credential`
  Specified by:
    `init` in interface `JaasSubjectCredential`
  Specified by:
    `init` in interface `WebSealTokenCredential`
  Overrides:
    `init` in class `JaasSubjectCredential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET JaasSubjectCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getAuthenticatedConnection

    public java.net.HttpURLConnection getAuthenticatedConnection(java.net.URL url)
                                                          throws java.io.IOException

  Deprecated.
  Returns a new Http URL connection with added authentication data.

  Specified by:
    `getAuthenticatedConnection` in interface `JaasSubjectCredential`
  Specified by:
    `getAuthenticatedConnection` in interface `WebSealTokenCredential`
  Specified by:
    `getAuthenticatedConnection` in class `JaasSubjectCredential`
  Parameters:
    `url` - The target URL for the connection. Note that it need not be opened yet.
  Returns:
    HttpURLConnection A new authenticated (and yet uncommitted) connection
  Throws:
    `java.io.IOException` - thrown if anything unexpected happened

### getAuthenticatedConnection

    public java.net.HttpURLConnection getAuthenticatedConnection(java.lang.String url)
                                                          throws java.io.IOException

  Deprecated.
  Returns a new Http URL connection with added authentication data.

  Specified by:
    `getAuthenticatedConnection` in interface `JaasSubjectCredential`
  Specified by:
    `getAuthenticatedConnection` in interface `WebSealTokenCredential`
  Specified by:
    `getAuthenticatedConnection` in class `JaasSubjectCredential`
  Parameters:
    `url` - The target URL for the connection
  Returns:
    HttpURLConnection A new authenticated (and yet uncommitted) connection.
  Throws:
    `java.io.IOException` - thrown if anything unexpected happened.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD